emacs-bug-tracker
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#51735: closed ([PATCH] tests: fix test logic for pcre-context)


From: GNU bug Tracking System
Subject: bug#51735: closed ([PATCH] tests: fix test logic for pcre-context)
Date: Thu, 11 Nov 2021 02:26:01 +0000

Your message dated Wed, 10 Nov 2021 18:25:18 -0800
with message-id <b00e097f-a027-b4ad-3e52-e43b2ecd3910@cs.ucla.edu>
and subject line Re: bug#51735: [PATCH] tests: fix test logic for pcre-context
has caused the debbugs.gnu.org bug report #51735,
regarding [PATCH] tests: fix test logic for pcre-context
to be marked as done.

(If you believe you have received this mail in error, please contact
help-debbugs@gnu.org.)


-- 
51735: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=51735
GNU Bug Tracking System
Contact help-debbugs@gnu.org with problems
--- Begin Message --- Subject: [PATCH] tests: fix test logic for pcre-context Date: Tue, 9 Nov 2021 17:02:39 -0800
Included in the original bug #20957, but corrupted somehow in
transit as the required NUL characters are missing.

Add a simpler version of the test case that uses plain characters
and match the -z data and output to show the equivalence.

Note the output is still not correct as it is missing the expected
LF characters, but a full fix will have to wait until PCRE2.

Signed-off-by: Carlo Marcelo Arenas Belón <carenas@gmail.com>
---
 tests/pcre-context | 40 ++++++++++++++++++++++------------------
 1 file changed, 22 insertions(+), 18 deletions(-)

diff --git a/tests/pcre-context b/tests/pcre-context
index b910a20..77cb863 100755
--- a/tests/pcre-context
+++ b/tests/pcre-context
@@ -4,29 +4,33 @@
 require_pcre_
 
 cat >in <<'EOF'
-Preceded by 0 empty lines.
-
-Preceded by 1 empty line.
-
-
-Preceded by 2 empty lines.
-
-
-
-Preceded by 3 empty lines.
-
-
-
-
-Preceded by 4 empty lines.
+b0
+ab1
+aab2
+aaab3
+aaaab4
+EOF
+test $? -eq 0 || framework_failure_
 
+cat >exp <<'EOF'
+b3
+ab4
 EOF
 test $? -eq 0 || framework_failure_
 
+grep -Po '(?<=aaa).*' in >out || fail_ 'grep -Po failed'
+compare exp out || fail=1
+
+printf 'NUL preceded by 0 empty lines.\0' >in &&
+printf '\nNUL preceded by 1 empty line.\0' >>in &&
+printf '\n\nNUL preceded by 2 empty lines.\0' >>in &&
+printf '\n\n\nNUL preceded by 3 empty lines.\0' >>in &&
+printf '\n\n\n\nNUL preceded by 4 empty lines.\0' >>in &&
+printf '\n' >>in || framework_failure_
+
 printf '%s\0' \
-       'Preceded by 2 empty lines.' \
-       'Preceded by 3 empty lines.' \
-       'Preceded by 4 empty lines.' >exp || framework_failure_
+       'NUL preceded by 3 empty lines.' \
+       'NUL preceded by 4 empty lines.' >exp || framework_failure_
 
 fail=0
 
-- 
2.34.0.rc1.349.g8f33748433




--- End Message ---
--- Begin Message --- Subject: Re: bug#51735: [PATCH] tests: fix test logic for pcre-context Date: Wed, 10 Nov 2021 18:25:18 -0800 User-agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101 Thunderbird/91.2.0
Thanks, I installed that with the attached minor fixup patch afterwards.

Attachment: 0001-tests-fix-pcre-test-typo.patch
Description: Text Data


--- End Message ---

reply via email to

[Prev in Thread] Current Thread [Next in Thread]